<?php

require_once 'connect.php';
require_once 'inc/messages.php';

// retorna array com lista de módulos, ou false se deu erro
function grupo_vendedores_getAll() {
  global $conexao;
  $sql = 'select * from erpc_grupo_vendedores where st_ativo=?';
  $values[] = '1';
  $result = _prepareAndQuery($sql, $values);
  return $result;
}

// retorna array associativo com objeto, ou false se deu erro/não encontrar
function grupo_vendedores_getById($id) {
  global $conexao;
  $sql = 'select * from erpc_grupo_vendedores where id=? and st_ativo=1';
  $values[] = $id;
  $result = _prepareAndQuery($sql, $values);
  if ($result !== false) {
    if (count($result) === 1) {
      $result = $result[0];
    } else {
      $result = false;
      addError('Id não encontrado');
    }
  }

  return $result;
}

// insere novo módulo
function grupo_vendedores_insert($grupo_vendedores, &$error=null) {
  global $conexao;
  $ok = false;
  $sql = 'insert into erpc_grupo_vendedores ';
  $campos = array('ds_grupo', 'st_ativo');
  $values = array();
  foreach($campos as $campo) {
    $values[] = $grupo_vendedores[$campo];
  }
  $sql .= '(' . implode(',', $campos) . ') values (' . trim(str_repeat('?,', count($values)), ',') . ')';

  $ok = _prepareAndExecute($sql, $values, $error);
  if ($ok !== false) {
    if ($error === null) {
      addMessage('Inserido com sucesso');
    }
  }
  return $ok;
}

// altera a senha do usuário
function grupo_vendedores_update($grupo_vendedores) {
  global $conexao;
  $ok = false;
  $sql = 'update erpc_grupo_vendedores set ';
  $campos = array('ds_grupo');
  $values = array();
  foreach($campos as $campo) {
    $sql .= $campo . '=?,';
    $values[] = $grupo_vendedores[$campo];
  }
  $sql = trim($sql, ',');
  $sql .= ' where id = ?';
  $values[] = $grupo_vendedores['id'];
  $ok = _prepareAndExecute($sql, $values);
  if ($ok !== false) {
    addMessage('Atualizado com sucesso');
  }
  return $ok;
}

function grupo_vendedores_delete($grupo_vendedores) {
  global $conexao;
  $ok = false;
  $sql = 'update erpc_grupo_vendedores set st_ativo = 0';
  $values = array();
  $sql .= ' where id = ?';
  $values[] = $grupo_vendedores['id'];
  $ok = _prepareAndExecute($sql, $values);
  if ($ok !== false) {
    addMessage('Removido com sucesso');
  }
  return $ok;
}

function grupo_vendedores_create() {
  $grupo_vendedores = array(
    'id' => '',
    'ds_grupo' => '',
    'st_ativo' => '1',
  );
  return $grupo_vendedores;
}
